msfilter.h File Reference

mediastreamer2 msfilter.h include file More...

`#include "mscommon.h"`
`#include "msqueue.h"`
`#include "allfilters.h"`
`#include "msinterfaces.h"`

## Typedefs

typedef void(* | MSFilterFunc) (struct _MSFilter *f)
typedef int(* | MSFilterMethodFunc) (struct _MSFilter *f, void *arg)
typedef void(* | MSFilterNotifyFunc) (void *userdata, unsigned int id, void *arg)
typedef struct _MSFilterMethod | MSFilterMethod
typedef enum _MSFilterCategory | MSFilterCategory
typedef struct _MSFilterDesc | MSFilterDesc
typedef struct _MSFilter | MSFilter
typedef struct _MSConnectionPoint | MSConnectionPoint
typedef struct _MSConnectionHelper | MSConnectionHelper

## Functions

void | ms_filter_register (MSFilterDesc *desc)
MSFilterDesc * | ms_filter_get_encoder (const char *mime)
MSFilterDesc * | ms_filter_get_decoder (const char *mime)
MSFilter * | ms_filter_create_encoder (const char *mime)
MSFilter * | ms_filter_create_decoder (const char *mime)
bool_t | ms_filter_codec_supported (const char *mime)
MSFilter * | ms_filter_new (MSFilterId id)
MSFilter * | ms_filter_new_from_name (const char *name)
MSFilter * | ms_filter_new_from_desc (MSFilterDesc *desc)
int | ms_filter_link (MSFilter *f1, int pin1, MSFilter *f2, int pin2)
int | ms_filter_unlink (MSFilter *f1, int pin1, MSFilter *f2, int pin2)
int | ms_filter_call_method (MSFilter *f, unsigned int id, void *arg)
int | ms_filter_call_method_noarg (MSFilter *f, unsigned int id)
void | ms_filter_set_notify_callback (MSFilter *f, MSFilterNotifyFunc fn, void *userdata)
void | ms_filter_enable_synchronous_notifcations (MSFilter *f, bool_t yesno)
MSFilterId | ms_filter_get_id (MSFilter *f)
MSList * | ms_filter_find_neighbours (MSFilter *me)
void | ms_filter_destroy (MSFilter *f)
void | ms_connection_helper_start (MSConnectionHelper *h)
int | ms_connection_helper_link (MSConnectionHelper *h, MSFilter *f, int inpin, int outpin)
| Enter a MSFilter to be connected into the MSConnectionHelper object. More...
int | ms_connection_helper_unlink (MSConnectionHelper *h, MSFilter *f, int inpin, int outpin)
| Enter a MSFilter to be disconnected into the MSConnectionHelper object. Process exactly the same way as ms_connection_helper_link() but calls ms_filter_unlink() on the entered filters.

## Detailed Description

mediastreamer2 msfilter.h include file

This file provide the API needed to create, link, unlink, find and destroy filter.

It also provides definitions if you wish to implement your own filters.